.panel.panel-default
  .panel-body  
    %table.table.table-striped.table-bordered.table-hover
      %caption{:style => "border-bottom: 1px solid #eee"}
        %h4.text-primary{:style => "border-bottom: 1px solid #eee"}= "Status of soil and water conservation structures"
      %thead
        %tr
          %th.text-center 
          %th.text-center 
          %th.text-center{ :colspan => 2} Good
          %th.text-center{ :colspan => 2} Slightly Damaged
          %th.text-center{ :colspan => 2} Severely Damaged 
          %th.text-center{ :colspan => 2} Full Replacement Required 
        %tr
          %th.text-center Sl.No
          %th.text-center Item
          %th.text-center N
          %th.text-center % 
          %th.text-center N
          %th.text-center % 
          %th.text-center N
          %th.text-center % 
          %th.text-center N
          %th.text-center %  
      %tbody
        - modified_status  = @statuses.keys.collect{|a| a[0]}.uniq.reject{|a| ['Summer Ploughing','Mulching', 'Dead Furrow', 'Contour Cultivation', 'Combination of deep and shallow root crops'].include?(a)}
        
        - modified_status.each_with_index do |key, index|
          - _good = @statuses[[key, "Good"]]
          - _simply_damaged = @statuses[[key, "Slightly Damaged"]] 
          - _severely_damaged = @statuses[[key, "Severely Damaged"]]
          - _full = @statuses[[key, "Full Replacement Required"]]
          %tr 
            %td.text-center= index + 1
            %td= key
            - _good = _good.blank? ? 0 : _good
            - _simply_damaged = _simply_damaged.blank? ? 0 : _simply_damaged
            - _severely_damaged = _severely_damaged.blank? ? 0 : _severely_damaged
            - _full = _full.blank? ? 0 : _full

            - _total = _good + _simply_damaged + _severely_damaged + _full
            %td.text-center= _good
            %td.text-center= _total == 0 ? 0 : ((_good.to_f / _total.to_f) * 100).round(2)
            %td.text-center= _simply_damaged
            %td.text-center= _total == 0 ? 0 : ((_simply_damaged.to_f / _total.to_f) * 100).round(2)
            %td.text-center= _severely_damaged
            %td.text-center= _total == 0 ? 0 : ((_severely_damaged.to_f / _total.to_f) * 100).round(2)
            %td.text-center= _full
            %td.text-center= _total == 0 ? 0 : ((_full.to_f / _total.to_f) * 100).round(2)